/*
Free-DOS Function Library FREEDOS.H - Free-DOS header file
Written by: James Hall, modified by Morgan Toal
*/

/*
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>

/* the version of the Free-DOS release */
#define VER_REL      "0.9b"

/* the maximum string length */
#define MAX_STR 256

/* values for true and false */
#define TRUE 1
#define FALSE 0

/* various formats for printing the usage */
#define FMT_PROG     "\n%s: %s\n"
#define FMT_USAGE    "Usage: %s %s\n"
#define FMT_OPT      "  /%s - %s\n"

/* some macros for printing the usage */
#define printp(A,B) printf(FMT_PROG, A, B)
#define printu(A,B) printf(FMT_USAGE, A, B)
#define printo(A,B) printf(FMT_OPT, A, B)

/* various prompts for pagef */
#define PAGEF_PR     "(more)"
#define PAGEF_END    "(end)"

/* newline characters for different platforms */
#define UNIX_NL      '\012'
#define MAC_NL       '\013'
#define DOS_NL       '\n'

/* Global Variables for GETOPT.C */
extern int optind;
extern int optchar;
extern char *optarg;

#undef TEST
