/*
    SUPPL - a supplemental library for common useage
    Copyright (C) 1995,1996  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: ENV_DEL.C $
   $Locker:  $	$Name:  $	$State: Exp $

	env_delete(word segm)

	Delete the environment segm.

	If segm == 0, the current used environment segment is freed.
	If segm is either zero (0) or the current used environment segment,
	the current used segment is set to zero.

	Target compilers: Micro-C v3.13, v3.14; Borland C v2, v3.1, v4.52

*/


#ifndef _MICROC_
#include <dos.h>
#endif
#include <portable.h>
#include "environ.h"
#include "suppl.h"
#include "mcb.h"

void env_delete(word segm)
{	if(segm || (segm = env_glbSeg) != 0) {
		pokew(SEG2MCB(segm), OFF_MCB_OWNER, _psp);
		freeBlk(segm);
		if(segm == env_glbSeg) env_setGlbSeg(0);
	}
}
